<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" routerLink="../../index">Inicio </a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" routerLink="../service">Servicios<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="../profile">Perfil</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../products">Productos
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="../cart">Carrito <mat-icon class="badge-icon" [matBadge]="carrito"></mat-icon>
        </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../contracts">Mis Contratos
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->
<section class="bg-light first-section" style="height: 400px;">
  <div class="fondo-servicio">
    <mat-card class="cotizador-bg">
      <mat-card-title>Cotiza tu servicio</mat-card-title>

      <mat-card-subtitle>Número de plantas:</mat-card-subtitle>
      <mat-slider min="1" max="5" step="1" value="1" thumbLabel [value]="plantas" [tickInterval]="1"
        (change)="cambioPla($event)" style="width: 100%;"></mat-slider>

      <mat-card-subtitle>Número de cuartos:</mat-card-subtitle>
      <mat-slider min="1" max="10" step="1" value="1" thumbLabel [value]="habitaciones" [tickInterval]="1"
        (change)="cambioHab($event)" style="width: 100%;"></mat-slider>
      <mat-card-content>
        <button class="btn btn-info" style="display: flex; margin: auto;">Cotizar servicio</button>
      </mat-card-content>
      <mat-card-footer><b>Subtotal: ${{total | number:'0.2-2'}}</b></mat-card-footer>

    </mat-card>
  </div>
</section>
<section class="bg-light">
  <h1 class="title-page">Servicios</h1>

  <div class="container">
    <div class="row">
      <ng-container *ngFor="let servicio of servicios">
        <ng-template [ngIf]="servicio.habilitado">
          <div class="col-sm-12 col-md-4">
            <mat-card>
              <mat-card-header class="object-title">
                <mat-card-title>{{servicio.nombre_servicio}}</mat-card-title>
              </mat-card-header>

              <img [src]="servidor+'/imagenes/'+servicio.imagen_servicio">
              <div class="col-12">
                <h2 style="text-align: center; margin: 0;">${{servicio.costo_servicio | number:'0.2-2'}}</h2>
                <h2>Descripción:</h2>
                <p>{{servicio.caracteristicas_servicio}}</p>
                <h2>Incluye:</h2>
                <mat-list role="list">
                  <ng-container *ngFor="let habilidad of servicio.habilidades">
                    <div class="row">
                      <div class="col-9">
                        <mat-list-item role="listitem">{{habilidad.nombre_habilidad}}</mat-list-item>
                      </div>
                      <div class="col-3">
                        <mat-icon style="margin-top: 5px;">done</mat-icon>
                      </div>
                    </div>


                  </ng-container>
                </mat-list>
                <button class="btn btn-primary text-white btn-contrata" type="button"
                  (click)="agregarCarrito(servicio.id_servicio)">Agregar servicio</button>
              </div>
            </mat-card>

          </div>
        </ng-template>
      </ng-container>

    </div>

  </div>
</section>
<footer class="site-footer bg-dark">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <div class="row">
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Mapa del sitio</h2>
            <ul class="list-unstyled">
              <li><a href="index/perfil">Perfil</a></li>
              <li><a href="index">Tienda</a></li>
              <li><a href="index/carrito">Carrito</a></li>
              <li><a href="index/rentas">Mis rentas</a></li>
            </ul>
          </div>
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Acerca de nosotros</h2>
            <ul class="list-unstyled">
              <li><a href="#">Acerca de nosotros</a></li>
              <li><a href="#">Servicios</a></li>
              <li><a href="#">Soporte</a></li>
              <li><a href="#">Contactanos</a></li>
            </ul>
          </div>

          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Siguenos</h2>
            <a href="#" class="pl-0 pr-3"><span class="fa fa-facebook"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-twitter"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-instagram"></span></a>
            <a href="#" class="pl-3 pr-3"><span class="fa fa-linkedin"></span></a>
          </div>
          <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
            <h2 class="footer-heading mb-4">Suscribete a nosotros</h2>
            <p>Enterate de las ultimas novedades de la pagina</p>
            <form action="#" method="post">
              <div class="input-group mb-3">
                <input type="text" class="form-control bg-light" placeholder="Enter Email" aria-label="Enter Email"
                  aria-describedby="button-addon2">
                <div class="input-group-append">
                  <button class="btn btn-primary text-white" type="button" id="button-addon2">Send</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>

    </div>
    <div class="row pt-5 mt-5">
      <div class="col-12 text-md-center text-left">
        <p>
          Copyright &copy; 2020 All rights reserved | POWERED <i class="icon-home text-danger" aria-hidden="true"></i>
          by <a href="" target="_blank">Click & Clean</a>
        </p>
      </div>
    </div>
  </div>
</footer>